abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×

dnes 11:33 | IT novinky

Red Hat kupuje společnost Codenvy stojící za stejnojmenným webovým (cloudovým) integrovaným vývojovým prostředím (WIDE) postaveném na Eclipse Che.

Ladislav Hagara | Komentářů: 0
dnes 08:55 | Nová verze

V listopadu 2014 byl představen fork Debianu bez systemd pojmenovaný Devuan. Po dva a půl roce jeho vývojáři oznámili vydání první stabilní verze 1.0. Jedná se o verzi s dlouhodobou podporou (LTS) a její kódové jméno je Jessie, podle planetky s katalogovým číslem 10 464.

Ladislav Hagara | Komentářů: 6
včera 20:22 | Zajímavý článek

Nadace Raspberry Pi vydala již osmapadesáté číslo (pdf) stostránkového anglicky psaného časopisu MagPi věnovanému Raspberry Pi a projektům postaveným na tomto jednodeskovém počítači a druhé číslo (pdf) časopisu Hello World primárně určeného pro učitele informatiky a výpočetní techniky.

Ladislav Hagara | Komentářů: 0
včera 19:55 | Humor

Portál Stack Overflow informuje na svém blogu, že pomohl ukončit editor Vim už více než milionu vývojářů. V loňském roce například hledal odpověď na otázku Jak ukončit editor Vim v průměru 1 z 20 000 návštěvníků.

Ladislav Hagara | Komentářů: 10
včera 19:22 | Nová verze

Po pěti měsících od vydání verze 3.5.0 byla vydána nová stabilní verze 3.6.0, tj. první z nové řady 3.6, minimalistické linuxové distribuce zaměřené na bezpečnost Alpine Linux (Wikipedie). Z novinek lze zmínit například podporu dvou nových 64bitových platforem little-endian POWER machines (ppc64le) a IBM z Systems (s390x) nebo nové balíčky Rust 1.17.0, Cargo 0.18.0, GHC 8.0.2 a Julia 0.5.2.

Ladislav Hagara | Komentářů: 0
24.5. 21:33 | Bezpečnostní upozornění

V Sambě byla nalezena a opravena bezpečnostní chyba CVE-2017-7494. Má-li útočník právo ukládat soubory na vzdálený server, může tam uložit připravenou sdílenou knihovnu a přinutit smbd server k jejímu načtení a tím pádem ke spuštění libovolných příkazů. Chyba je opravena v upstream verzích 4.6.4, 4.5.10 a 4.4.14. Chyba se týká všech verzí Samby od verze 3.5.0 vydané 1. března 2010.

Ladislav Hagara | Komentářů: 5
24.5. 20:44 | Nová verze

Byla vydána nová stabilní verze 4.3.0 integrovaného vývojového prostředí (IDE) Qt Creator. Z novinek lze zmínit například integraci editoru kódu do Qt Quick Designeru.

Ladislav Hagara | Komentářů: 1
24.5. 20:11 | Bezpečnostní upozornění

Společnost Check Point informuje na svém blogu o novém vektoru útoku. Pomocí titulků lze útočit na multimediální přehrávače VLC, Kodi, Popcorn Time, Stremio a pravděpodobně i další. Otevření útočníkem připraveného souboru s titulky v neaktualizovaném multimediálním přehrávači může vést ke spuštění libovolných příkazů pod právy uživatele. Ukázka na YouTube. Chyba je opravena v Kodi 17.2 nebo ve VLC 2.2.6.

Ladislav Hagara | Komentářů: 11
23.5. 15:18 | Zajímavý software

CrossOver, komerční produkt založený na Wine, je dnes (23. 5. 2017) dostupný ve slevě. Roční předplatné linuxové verze vyjde s kódem TWENTYONE na $21, resp. $1 v případě IP z chudších zemí. Firma CodeWeavers, která CrossOver vyvíjí, významně přispívá do Wine. Přidaná hodnota CrossOver spočívá v přívětivějším uživatelském rozhraní, integraci do desktopu a podpoře.

Fluttershy, yay! | Komentářů: 26
23.5. 15:11 | Zajímavý projekt

V únoru loňského roku bylo představeno několik útoků na celou řadu bezdrátových klávesnic a myší s názvem MouseJack. Po více než roce lze chybu opravit, tj. aktualizovat firmware, také z Linuxu. Richardu Hughesovi se podařilo navázat spolupráci se společností Logitech, získat od nich dokumentaci, přesvědčit je, aby firmware poskytovali přímo a ne jako součást .exe souboru, aby mohl být popis začleněn do služby Linux Vendor Firmware Service (LVFS) a aktualizace tak mohla proběhnou přímo z Linuxu pomocí projektu fwupd.

Ladislav Hagara | Komentářů: 2
Chystáte se pořídit CPU AMD Ryzen?
 (6%)
 (32%)
 (1%)
 (8%)
 (44%)
 (9%)
Celkem 619 hlasů
 Komentářů: 62, poslední 19.5. 01:57
    Rozcestník

    Dotaz: AR5006EG - nekonecny pribeh

    26.8.2008 02:18 ok2zar | skóre: 13
    AR5006EG - nekonecny pribeh
    Přečteno: 1000×
    Tak jsem se opet vrhl na zprovozneni teto karty. Lidi zodpovedne za vyrobu teto karty bych zcela bez milosti poslal do cinskeho vezeni :-D

    Konstruktivne:

    Stahl a zcompiloval jsem jadro 2.6.26.3 a zatrhl podporu ATH5xxx

    Po najeti jadra, zadam "modprobe ath5k"
    Aug 26 01:42:09 hanca kernel: ACPI: PCI Interrupt 0000:04:00.0[A] -> GSI 17 (level, low) -> IRQ 17
    Aug 26 01:42:09 hanca kernel: ath5k_pci 0000:04:00.0: registered as 'phy2'
    Aug 26 01:42:09 hanca kernel: ath5k phy2: Support for RF2425 is under development.
    Aug 26 01:42:09 hanca kernel: ath5k phy2: Atheros AR2425 chip found (MAC: 0xe2, PHY: 0x70)
    Aug 26 01:42:09 hanca kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
    Aug 26 01:42:10 hanca ifplugd(wlan0)[9286]: ifplugd 0.28 initializing.
    Aug 26 01:42:10 hanca ifplugd(wlan0)[9286]: Using interface wlan0/00:1C:26:BA:5F:23
    Aug 26 01:42:10 hanca ifplugd(wlan0)[9286]: Using detection mode: wireless extension
    Aug 26 01:42:10 hanca ifplugd(wlan0)[9286]: Initialization complete, link beat not detected.
    
    po zadani "iwconfig" vidim
    wmaster0  no wireless extensions.
    
    wlan0     IEEE 802.11  ESSID:"PFS_home2"
              Mode:Managed  Frequency:2.412 GHz  Access Point: Not-Associated
              Tx-Power=27 dBm
              Retry min limit:7   RTS thr:off   Fragment thr=2352 B
              Encryption key:3170-6673-31
              Link Quality:0  Signal level:0  Noise level:0
              Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
              Tx excessive retries:0  Invalid misc:0   Missed beacon:0
    
    Hodnoty ESSID a KEY jsem zadal rucne, ale je to nepripojeno. Zkusil jsem dat "ifconfig wlan0 up" a zase nic.

    Chtel jsem tedy pouzit madwifi. Tak jsem stahl posledni verzi a dal "make"
    [root@hanca madwifi-0.9.4]# make
    Checking requirements... ok.
    Checking kernel configuration... ok.
    make -C /lib/modules/2.6.26.3/build SUBDIRS=/usr/src/madwifi-0.9.4 modules
    make[1]: Entering directory `/usr/src/linux-2.6.26.3'
      CC [M]  /usr/src/madwifi-0.9.4/ath/if_ath.o
      CC [M]  /usr/src/madwifi-0.9.4/ath/if_ath_pci.o
      LD [M]  /usr/src/madwifi-0.9.4/ath/ath_pci.o
      CC [M]  /usr/src/madwifi-0.9.4/ath_hal/ah_os.o
      HOSTCC  /usr/src/madwifi-0.9.4/ath_hal/uudecode
      UUDECODE /usr/src/madwifi-0.9.4/ath_hal/i386-elf.hal.o
      LD [M]  /usr/src/madwifi-0.9.4/ath_hal/ath_hal.o
      CC [M]  /usr/src/madwifi-0.9.4/ath_rate/amrr/amrr.o
      LD [M]  /usr/src/madwifi-0.9.4/ath_rate/amrr/ath_rate_amrr.o
      CC [M]  /usr/src/madwifi-0.9.4/ath_rate/minstrel/minstrel.o
      LD [M]  /usr/src/madwifi-0.9.4/ath_rate/minstrel/ath_rate_minstrel.o
      CC [M]  /usr/src/madwifi-0.9.4/ath_rate/onoe/onoe.o
      LD [M]  /usr/src/madwifi-0.9.4/ath_rate/onoe/ath_rate_onoe.o
      CC [M]  /usr/src/madwifi-0.9.4/ath_rate/sample/sample.o
      LD [M]  /usr/src/madwifi-0.9.4/ath_rate/sample/ath_rate_sample.o
      CC [M]  /usr/src/madwifi-0.9.4/net80211/if_media.o
      CC [M]  /usr/src/madwifi-0.9.4/net80211/ieee80211.o
      CC [M]  /usr/src/madwifi-0.9.4/net80211/ieee80211_beacon.o
      CC [M]  /usr/src/madwifi-0.9.4/net80211/ieee80211_crypto.o
      CC [M]  /usr/src/madwifi-0.9.4/net80211/ieee80211_crypto_none.o
      CC [M]  /usr/src/madwifi-0.9.4/net80211/ieee80211_input.o
      CC [M]  /usr/src/madwifi-0.9.4/net80211/ieee80211_node.o
      CC [M]  /usr/src/madwifi-0.9.4/net80211/ieee80211_output.o
      CC [M]  /usr/src/madwifi-0.9.4/net80211/ieee80211_power.o
    /usr/src/madwifi-0.9.4/net80211/ieee80211_power.c: In function 'ieee80211_pwrsave':
    /usr/src/madwifi-0.9.4/net80211/ieee80211_power.c:240: error: implicit declaration of function '__skb_append'
    make[3]: *** [/usr/src/madwifi-0.9.4/net80211/ieee80211_power.o] Error 1
    make[2]: *** [/usr/src/madwifi-0.9.4/net80211] Error 2
    make[1]: *** [_module_/usr/src/madwifi-0.9.4] Error 2
    make[1]: Leaving directory `/usr/src/linux-2.6.26.3'
    make: *** [modules] Error 2
    
    Takze ted vazne nevim. Spousta zarucenych HowTo mi nepomohla, takze zatim jsem nezvitezil. Tedy jen castecne: pred pul rokem totiz zavadeni jakehokoli modulu nedelalo zhola nic. Ted je alespon videt zarizeni.

    Takze nejaka rada, navod, nebo nakopnuti? Abych predesel zbytecnym radam: NDISWRAPPER delat opravdu nebudu.

    Odpovědi

    26.8.2008 08:38 josko
    Rozbalit Rozbalit vše Re: AR5006EG - nekonecny pribeh
    Moc velky dojem jsi na mne neudelal. Tve pokusy zatim nevypovidaji o dotycne karte nic, takze cinske kolegy bych nechal napokoji. Ovladac "ath5k" je zatim ve vyvojove fazi a funguje jen pro zakladni typy "atherosu" v modu klient. Je mozne, ze funguje i s tvoji kartou, pokud nepouzivas nejakou obstarozni distribuci. Ve Fedore 9, bez jakekoliv kompilace kernelu, nejsou s "atherosy" v pasmu 2,4 GHz zadne problemy. To ze jsi se "nekonektoval" muze byt take "rukama". Ovladac "madwifi", konkretne "trunk-r3837" zkompilovat samozrejme jde a funguje naprosto korektne dle dokumentace. "Stabilni", trochu postarsi ovladac madwifi 0.9.4 z "sf" funguje rovnez dobre a navic existuje v binarni podobe *.debs a *.rpms pro nejruznejsi distribuce a binarni jadra v nich. Takze si kompilaci muzes usetrit. Na kompilaci doporucuji pouze Gentoo a pod. zdrojove distribuce. Slozite veci nevyresis dalsimi, jeste slozitejsimi. Nejednodussi je pouzivat moderni distribuce, kde to jini udelali za tebe.
    michich avatar 26.8.2008 09:53 michich | skóre: 50 | blog: ohrivane_parky
    Rozbalit Rozbalit vše Re: AR5006EG - nekonecny pribeh
    Aug 26 01:42:09 hanca kernel: ath5k phy2: Support for RF2425 is under development.

    Není Atheros jak Atheros. Tenhle konkrétní čip funguje až v 2.6.27.
    26.8.2008 12:41 ok2zar | skóre: 13
    Rozbalit Rozbalit vše Re: AR5006EG - nekonecny pribeh
    Diky za reakce.

    Pro "josku" - neprislo mi vhodne davat sem veskere sve pokusy se zprovoznenim dane karty. Proto jsem postnul jen to, co jsem povazoval za "nejuspesnejsi" sve snazeni ;-) To ze jsem se "nekonektnul" muze byt zajiste kukama. Ale uz jsem to "parkrat" delal. Takze nasteveni pres IWCONFIG a pripadne nahozeni pres IFCONFIG DEVICE UP. Mozna jsem nepochopil to, jak ruzne startovaci scripty vytvari nejake virtualni AP a pak se na nej odovolavaji.

    Pro "michich" - Pokud by tato moje "revize" byla chodici az v 2.6.27 , tak si rad pockam. Sice to neni muj notes, ale jelikoz jsem zodpovedny za jeho linuxovou "napln", tak bych uz rad odebral PCMCIA Orinoco a nechal majitele pouzivat vnitrni WiFi.

    Kazdopadne to jeste zkusim potrapit, kdyby nahodou.... :-)
    michich avatar 26.8.2008 13:39 michich | skóre: 50 | blog: ohrivane_parky
    Rozbalit Rozbalit vše Re: AR5006EG - nekonecny pribeh
    Místo čekání můžeš otestovat nějakou aktuální -rc nebo verzi z gitu. Nebo si k té 2.6.26 přikompilovat drivery z compat-wireless.
    27.8.2008 23:55 ok2zar | skóre: 13
    Rozbalit Rozbalit vše Re: AR5006EG - nekonecny pribeh
    Takze jsem dnes stahl madwifi-trunk-r3837-20080802.tar.gz a dokonce i kompilace probehla bez problemu.

    Bohuzel pri zavedeni "ath_pci" se potazi s hlaskou "Aug 27 23:53:32 hanca kernel: ath_pci: HAL doesn't support MAC revision 0xe2"

    Takze nezbyva asi nez cekat. Nebo ne?
    22.3.2009 21:18 kua ale som sa vytocil
    Rozbalit Rozbalit vše Re: AR5006EG - nekonecny pribeh

    Ahoj mam tu istu kartu ar5006eg.. Je to nekonecny pribeh.. Pouzivam najnovsie ubuntu, kubuntu.. Skusal som obidvoje.. Problem je v tom, ze karta funguje, ale len na kratke vzdialenosti.. Mam to overene.. Uz sa ju pokusam spojazdnit asi rok az jedneho krasneho dna som sa ocitol na 5 metrov pri AP-cku a ono to fungovalo :-D.. Netreba ziadne specialne ovladace, postaci najnovsia verzia ubuntu/ kubuntu pripadne jadra.. Tato karta mala rovnake problemy aj po OS Vista.. Neviem co to chlapci z Ciny zbuchali ale je to hrozne.. Karta sa tvari ze ide.. Vypada to ze ma obmedzeny vystupny vykon.. Jedno je iste.. Keby som nemal xp alebo naopak mal nahradnu kartu tak tato uz je davno rozmetana na 1000 kuskov :-).. Vsimol som si, ze v os- xp -> kde karta mimochodom spolahlivo funguje( a na inom OS nie plati aj pre OS z dielni microsoftu) su este nejake programky -> utilitky co sa pustaju po starte.. Tak neviem.. Proste ked mi tu svieti ta ledka tak to slape.. lenze svieti len v OS XP.. Tak som ulavil svojej dusicke.. Linux mam rad ale niektorych vyrobcov hardweru by mali zastrelit.. Tolko strateneho casu.. no nic :-) Tak zatial a vela stastia..

     

    kozzi avatar 22.3.2009 21:55 kozzi | skóre: 55 | blog: vse_o_vsem | Pacman (Bratrušov)
    Rozbalit Rozbalit vše Re: AR5006EG - nekonecny pribeh
    Tak karta o ktere se mluvi vyse jede v linuxu bezproblemu. Sam ji mam a neni snou jediny problem. Dokonce ma az neovykle dobrou citlivost, takze se sni dokazu pripojit na AP ktere je treba az 2-3km vzdalene. A to ma jen nejakou interni antenku v NB
    Linux je jako mušketýři "jeden za všechny, všichni za jednoho"
    19.2.2010 22:25 Allyss
    Rozbalit Rozbalit vše Re: AR5006EG - nekonecny pribeh
    No, já bych osobně zkusil distribuci Mandriva - ta má plnou podporu pro atherosy a to i ty nejproblémovější - nejlíp běhají na Mandriva 2009 Spring edition. Pokud by problém přetrvával, tak bude potřeba nainstatalovat firmware flasher a přeflashnout tu wifku novou verzí - jinak na mac v pohodě postačí rozhraní pro správu sítě, kde je možný nastavit i moduly a pár hardwarovejch věciček. Funguje to skvěle a neni s tim žádnej problem Jinak bych osobně doporučil D-Link DWA 556 ;)

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.